package sun.applet;

import java.awt.Event;
import java.awt.Rectangle;
import java.awt.Dimension;
import java.awt.Button;
import java.awt.Label;
import java.awt.Panel;
import java.awt.Frame;
import java.awt.Dialog;

class AppletPropsErrorDialog extends Dialog
{
    public AppletPropsErrorDialog(Frame owner, String title, String text, String label) {
        super(owner, title, true);
        Panel comp = new Panel();
        this.add("Center", new Label(text));
        comp.add(new Button(label));
        this.add("South", comp);
        this.pack();
        Dimension size = this.size();
        Rectangle bounds = owner.bounds();
        this.move(bounds.x + (bounds.width - size.width) / 2, bounds.y + (bounds.height - size.height) / 2);
    }
    
    @Override
    public boolean action(Event event, Object o) {
        this.hide();
        this.dispose();
        return true;
    }
}
